<?php
// required headers
header("Access-Control-Allow-Origin: *");
// header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/other_service_charges.php';
date_default_timezone_set('Asia/Bangkok');

$database = new Database();
$db = $database->getConnection();
 
$other_service_charges = new OtherServiceCharges($db);
$data = json_decode(file_get_contents("php://input"));
$datetime = date("Y-m-d H:i:s");
$other_service_charges->checkin_id = $data->checkin_id;
$other_service_charges->payment_type = $data->payment_type;
$other_service_charges->cashier = $data->cashier;
$other_service_charges->payment_date_time = $datetime;


if($other_service_charges->updateCashOut()){
	echo strtotime($datetime);
}else{
	echo 'error';
}

?>